๐ Send TRX from one address to another
Code samples
POST /api/v1/trx/account/send
Sends TRX to the specified address using the provided private key.
Body parameter
{
"private_key": "string",
"to_address": "string",
"amount": 0.1
}
๐ ๏ธ Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | object | true | none |
| ยป private_key | body | string | true | Sender's private key. |
| ยป to_address | body | string | true | none |
| ยป amount | body | number | true | Amount in TRX. |
Example responses
200 Response
{
"success": true,
"tx_id": "string",
"from_address": "string",
"to_address": "string",
"amount": 0,
"amount_trx": 0.1
}
๐ Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Transaction result | Inline |
๐ Response Schema
Status Code 200
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| ยป success | boolean | false | none | none |
| ยป tx_id | string | false | none | none |
| ยป from_address | string | false | none | none |
| ยป to_address | string | false | none | none |
| ยป amount | integer | false | none | none |
| ยป amount_trx | number | false | none | none |